#include "export_malloc.h"

namespace xprofiler {
void MallocTrim(const Nan::FunctionCallbackInfo<v8::Value>& info) {
#ifdef __linux__
  malloc_trim(0);
#else
  info.GetReturnValue().Set(
      Nan::New<v8::String>("malloc_trim(0) only support linux.")
          .ToLocalChecked());
#endif
}

void MallocStats(const Nan::FunctionCallbackInfo<v8::Value>& info) {
#ifdef __linux__
  malloc_stats();
#else
  info.GetReturnValue().Set(
      Nan::New<v8::String>("malloc_stats() only support linux.")
          .ToLocalChecked());
#endif
}
}  // namespace xprofiler